LibreOffice: XLayoutManagerEventBroadcaster Interface Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XLayoutManagerEventBroadcaster Interface Reference

makes it possible to receive events from a layout manager. More...

Inheritance diagram for XLayoutManagerEventBroadcaster:

## Public Member Functions
void | addLayoutManagerEventListener ([in] XLayoutManagerListener aLayoutManagerListener)
| adds a layout manager event listener to the object's listener list.
void | removeLayoutManagerEventListener ([in] XLayoutManagerListener aLayoutManagerListener)
| removes a layout manager event listener from the object's listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

makes it possible to receive events from a layout manager.

See also
  com::sun::star::frame::LayoutManager

Since
  OOo 2.0

## Member Function Documentation

## ◆ addLayoutManagerEventListener()

void addLayoutManagerEventListener | ( | [in] XLayoutManagerListener | aLayoutManagerListener | ) |

adds a layout manager event listener to the object's listener list.

Parameters

  aLayoutManagerListener | a listener that wants to receive events regarding user interface elements that are controlled by a layout manager.

## ◆ removeLayoutManagerEventListener()

void removeLayoutManagerEventListener | ( | [in] XLayoutManagerListener | aLayoutManagerListener | ) |

removes a layout manager event listener from the object's listener list.

Parameters

  aLayoutManagerListener | a listener that don't want to receive events regarding user interface elements that are controlled by a layout manager.

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XLayoutManagerEventBroadcaster.idl